/*
 * Copyright 2009-2010 Nanjing RedOrange ltd (http://www.red-orange.cn)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package redora.client.constants;

/**
 * Redora uses (GWT's) <a href='http://code.google.com/webtoolkit/doc/latest/DevGuideI18n.html">static string i18n</a>.
 *
 * @author nanjing RedOrange (www.red-orange.cn)
 */
public interface RedoraConstants extends com.google.gwt.i18n.client.Constants {
    @DefaultStringValue("Login")
    @Key("button.login")
    public String login();

    @DefaultStringValue("Logout")
    @Key("button.logout")
    public String logout();

    @DefaultStringValue("OK")
    @Key("button.OK")
    public String ok();

    @DefaultStringValue("Cancel")
    @Key("button.Cancel")
    public String cancel();

    @DefaultStringValue("Close")
    @Key("button.Close")
    public String close();

    @DefaultStringValue("Save")
    @Key("button.Save")
    public String save();

    @DefaultStringValue("Add")
    @Key("button.Add")
    public String add();

    @DefaultStringValue("Delete")
    @Key("button.Delete")
    public String delete();

    @DefaultStringValue("Trash")
    @Key("button.Trash")
    public String trash();

    @DefaultStringValue("Undo")
    @Key("button.Undo")
    public String undo();

    @DefaultStringValue("Refresh")
    @Key("button.Refresh")
    public String refresh();

    @DefaultStringValue("Id")
    @Key("pojo.id.table")
    public String id_table();

    @DefaultStringValue("Id")
    @Key("pojo.id.form")
    public String id_form();

    @DefaultStringValue("Created")
    @Key("pojo.creationDate.table")
    public String creationDate_table();

    @DefaultStringValue("Creation Date")
    @Key("pojo.creationDate.form")
    public String creationDate_form();

    @DefaultStringValue("Updated")
    @Key("pojo.updateDate.table")
    public String updateDate_table();

    @DefaultStringValue("Update Date")
    @Key("pojo.updateDate.form")
    public String updateDate_form();

    @DefaultStringValue("Redora Manager")
    @Key("showcase.name")
    public String name();

    @DefaultStringValue("Data")
    @Key("showcase.Data")
    public String data();

    @DefaultStringValue("Upgrade")
    @Key("showcase.Upgrade")
    public String upgrade();

    @DefaultStringValue("Check")
    @Key("showcase.Check")
    public String check();

    @DefaultStringValue("Upgrade scripts")
    @Key("showcase.UpgradeScripts")
    public String upgradeScripts();

    @DefaultStringValue("&copy; 2011 Redora (www.redora.net)")
    @Key("showcase.Disclaimer")
    public String disclaimer();

    @DefaultStringValue("Drop")
    @Key("showcase.Drop")
    public String drop();

    @DefaultStringValue("Drop all tables")
    @Key("showcase.DropAllTables")
    public String dropAllTables();

    @DefaultStringValue("Model")
    @Key("showcase.Model")
    public String model();

    @DefaultStringValue("About")
    @Key("showcase.About")
    public String about();
    
    @DefaultStringValue("First")
    @Key("page.First")
    public String firstPage();
    
    @DefaultStringValue("Last")
    @Key("page.Last")
    public String lastPage();
    
    @DefaultStringValue("Next")
    @Key("page.Next")
    public String nextPage();
    
    @DefaultStringValue("Previous")
    @Key("page.Previous")
    public String previousPage();
    
    @DefaultStringValue("Goto")
    @Key("page.Goto")
    public String gotoPage();

    @DefaultStringValue("details...")
    @Key("lazyCell.default")
    public String lazyCellDefault();

    @DefaultStringValue("---select---")
    @Key("listbox.selectEmpty")
    public String listboxSelectEmpty();
}
