/*
 * Copyright 2009-2010 Nanjing RedOrange ltd (http://www.red-orange.cn)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package redora.client.constants;

/**
 * Redora uses (GWT's) <a href='http://code.google.com/webtoolkit/doc/latest/DevGuideI18n.html">static string i18n</a>.
 *
 * @author Nanjing RedOrange (www.red-orange.cn)
 */
public interface RedoraMessages extends com.google.gwt.i18n.client.Messages {
    @DefaultMessage("This field is mandatory.")
    String businessRule_1();
    
    @DefaultMessage("This field cannot exceed its maximum length ({0}).")
    String businessRule_2(String length);
    
    @DefaultMessage("This field is not formatted correctly.")
    String businessRule_3();
    
    @DefaultMessage("This value is already in use. Use another value or edit the {0} with this value.")
    String businessRule_4(String pojo);

    @DefaultMessage("Saved successfully.")
    String recordSaved();

    @DefaultMessage("Deleted successfully.")
    String recordDeleted();

    @DefaultMessage("{0} was not saved due to a business rule violation.")
    String brViolationNotSaved(String pojo);

    @DefaultMessage("An error occurred while contacting the server. Please press the reload button on your browser, that might help.")
    @Key("response.error.not200")
    String responseErrorNot200();

    @DefaultMessage("Could not connect with the server, try again later.")
    @Key("response.error.connect")
    String responseErrorConnect();

    @DefaultMessage("Model files are retrieved.")
    @Key("upgrade.findModels")
    String findModels();

    @DefaultMessage("Upgrade all scripts successful.")
    @Key("upgrade.upgradeTable")
    String upgradeTable();

    @DefaultMessage("Check the table according to the model xml files.")
    @Key("upgrade.checkTable")
    String checkTable();

    @DefaultMessage("All tables have been dropped.")
    @Key("upgrade.dropAllTable")
    String dropAllTable();

    @DefaultMessage("There are unsaved changes. Press cancel if you want to go back and save the changes.")
    @Key("service.unsavedChanges")
    String unsavedChanges();
}
