/*
 * Copyright 2009-2010 Nanjing RedOrange ltd (http://www.red-orange.cn)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package redora.client.ui;

/**
 * Widget that needs to load data through the event bus. In MVP when initializing
 * the widgets, they are not ready to receive events. In order to prevent the widget
 * missing them, the ActiveWidget allows to postpone the data loading with a separate
 * load command. The load is typically invoked on a OnLoad event of a busy gif.
 * @author Nanjing RedOrange (www.red-orange.cn)
 */
public interface ActiveWidget {
    void load();
}
